{% extends 'nav.html' %}
{% block content %}
    <h1 class="title" style="margin-bottom: 5vh">COURSES</h1>
    <form style="margin-bottom: 5vh" method="POST">
        {% csrf_token %}
        <table class="table table-hover table-responsive" style="color: var(--sunshine)">
            {% for el in data %}
            <tbody>
                <tr>
                    <td scope="row">{{ el.course }}</td>
                    <td><button class="btn btn-primary" type="submit" formaction="{% url 'details' el.course %}">Details</button></td>
                    <td><button class="btn btn-danger" type="submit" formaction="{% url 'schedule' el.course %}">Delete</button></td>
                </tr>
            </tbody>
            {% endfor %}
        </table>
        <a role="button" class="btn btn-warning" href="{% url 'form' %}">Add Course</a roel="button">
    </form>
{% endblock %}

<!-- <table class="table table-hover table-responsive" style="color: var(--sunshine)">
    <thead>
        <tr>
            <th scope="col">Course</th>
            <th scope="col">SCH</th>
            <th scope="col">Lecturer</th>
            <th scope="col">Desc</th>
            <th scope="col">Term</th>
            <th scope="col">Room</th>
            <th scope="col"></th>
        </tr>
    </thead>
    {% for el in data %}
    <tbody>
        <tr>
            <td><button class="btn btn-danger" type="submit" formaction="{% url 'details' el.course %}">Details</button></td>
            <td scope="row">{{ el.course }}</td>
            <td scope="row">{{ el.sch }}</td>
            <td scope="row">{{ el.lecturer }}</td>
            <td scope="row">{{ el.desc }}</td>
            <td scope="row">{{ el.term }}</td>
            <td scope="row">{{ el.room }}</td>
            <td><button class="btn btn-danger" type="submit" formaction="{% url 'schedule' el.course %}">Delete</button></td>
        </tr>
    </tbody>
    {% endfor %}
</table> -->